// CREDIT: https://github.com/kleydon/Mac-SerialPort-Cpp

#ifndef __SERIAL_PORT_H__
#define __SERIAL_PORT_H__


#include <unistd.h> //ssize_t
#include <cstring>
#include <sstream>
using namespace std;



int openAndConfigureSerialPort(const char* portPath, int baudRate);



bool serialPortIsOpen();



ssize_t flushSerialData();



ssize_t writeSerialData(const char* bytes, size_t length);



ssize_t readSerialData(char* bytes, size_t length);



ssize_t closeSerialPort(void);



int getSerialFileDescriptor(void);

std::string convertToString(char* a, int size);



#endif //__SERIAL_PORT_HPP__
